CloudLinux OS Blog - Alt-PHP updated
CloudLinux OS Blog

Alt-PHP updated

Alt-PHP updated

Updated December, 14th 11:54 AM, PT

New updated Alt-PHP packages with the fix for the conflict between alt-php72-pecl-ext and alt-php72-sodium packages in this update are now available for download from our production repository.

We are sorry about the inconvenience it might have caused.

-----------------------------------------------

Updated December, 14th 9:53 AM, PT

WARNING!

This update for alt-php72-pecl-ext raises a conflict with alt-php72-sodium package.
Please DO NOT UPDATE this package. Fix will be available within a few hours. The information will be available in this announcement.

-----------------------------------------------

New updated Alt-PHP packages are now available for download from our production repository.

Changelog:

alt-php73-pecl-ext-1-2

alt-php72-pecl-ext-1-32

alt-php71-pecl-ext-1-38

alt-php70-pecl-ext-1-50

  • ALTPHP-660: changed libsodium.so to sodium.so in ini file.

Update command:

yum groupupdate alt-php
Alt-PHP updated
LVE Manager updated
 

Comments 5

Guest - Argjend on Friday, 14 December 2018 22:28

I have made this update last night and now I have tried to make a new update but it returns an error:

Transaction Check Error:
file /opt/alt/php72/usr/lib64/php/modules/sodium.so from install of alt-php72-pecl-ext-1-32.el6.x86_64 conflicts with file from package alt-php72-sodium-7.2.13-1.el6.x86_64

Error Summary
-------------

I have made this update last night and now I have tried to make a new update but it returns an error: Transaction Check Error: file /opt/alt/php72/usr/lib64/php/modules/sodium.so from install of alt-php72-pecl-ext-1-32.el6.x86_64 conflicts with file from package alt-php72-sodium-7.2.13-1.el6.x86_64 Error Summary -------------
Guest - Argjend on Friday, 14 December 2018 22:39

how should I fix this

how should I fix this
Guest - Darya Malyavkina on Friday, 14 December 2018 22:42

try to do yum clean all && yum groupupdate alt-php72

try to do [b]yum clean all && yum groupupdate alt-php72[/b]
Guest - Argjend on Saturday, 15 December 2018 20:40

Hello,

I have tried to do that here is the output.

Warning: Group alt-php does not have any packages.
No packages in any requested group available to install or update

Hello, I have tried to do that here is the output. Warning: Group alt-php does not have any packages. No packages in any requested group available to install or update
Guest - Darya Malyavkina on Monday, 17 December 2018 08:38

Hello,
Please, check result of rpm -qa | grep pecl-ext/b].
If you have installed this package [b]alt-php72-pecl-ext-1-33
with 1-33 version and you have something problems, then contact support.
If you have this package with less version, than update it to latest version yum update -y alt-php72-pecl-ext
If you don't have alt-php72-pecl-ext with 1-33 version that you can do 'yum clean all'.
If even after this you cannot install this package, contact support.
Please inform me of the results.

Hello, Please, check result of [b]rpm -qa | grep pecl-ext/b]. If you have installed this package [b]alt-php72-pecl-ext-1-33[/b] with 1-33 version and you have something problems, then contact support. If you have this package with less version, than update it to latest version [b]yum update -y alt-php72-pecl-ext[/b] If you don't have alt-php72-pecl-ext with 1-33 version that you can do 'yum clean all'. If even after this you cannot install this package, contact support. Please inform me of the results.
Already Registered? Login Here
Guest
Wednesday, 13 November 2019

Captcha Image